package jalview.datamodel;

public class CigarCigar
    extends CigarSimple
{
  SeqCigar refCigar;
    /**
     * Apply CIGAR operations to the result of another cigar
     * @param cigar Cigar
     */
    CigarCigar(SeqCigar cigar) {
      super();
      refCigar = cigar;
    }
  /**
   *
   * @return String formed by applying CIGAR operations to the reference object
   * @param GapChar char
   * @todo Implement this jalview.datamodel.Cigar method
   */
  public String getSequenceString(char GapChar)
  {
    if (length==0)
      return "";
    String refString = refCigar.getSequenceString(GapChar);
    if (refString!=null) {
      return (length==0) ? "" : (String) getSequenceAndDeletions(refString, GapChar)[0];
    } else
      return null;
  }

}
